new Promise(()=>{
 "use strict";

const $F=function(){
    var E=document.getElementsByClassName('SYS_box_item_data');
    //if(!E.length)return setTimeout($F,500);
    for(let l=E.length;l--;){
      let E2=E[l].getElementsByClassName('SYS_box_item_buttons')[0].nextElementSibling;
      E2.insertAdjacentHTML('BeforeEnd','<span onClick="nlAddMylist(this)" style="cursor:pointer">※マイリスト登録※</span>')
    }
  }
  ,$F2=function(E){
    E=(E.parentNode.nextElementSibling.firstElementChild.getAttribute('href')).split('/');
    window.open('/mylist_add/video/'+E[2],'_blank','width=500px,height=360px, menubar=no,toolbar=no,status=none')
  }
window.addEventListener("load",$F,false);

window.nlAddMylist=$F2;
});